zdb(1M)

NAME
zdb - ZFS debugger

SYNOPSIS

zdb pool

DESCRIPTION

The zdb command is used by support engineers to diagnose failures and gather statistics. Since the ZFS file system is always consistent on disk and is self-repairing, zdb should only be run under the direction by a support engineer.

If no arguments are specified, zdb, performs basic consistency checks on the pool and associated datasets, and report any problems detected.

Any options supported by this command are internal to Sun and subject to change at any time.

EXIT STATUS

The following exit values are returned:

0
    The pool is consistent.

1
    An error was detected.

2
    Invalid command line options were specified.

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

zfs(1M), zpool(1M), attributes(5)